For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
            • GETList Price Lists
            • POSTCreate Price List
            • DELDelete All Price Lists
            • GETGet Price List
            • PUTUpdate Price List
            • DELDelete Price List
              • POSTCreate Batch of Price Lists Records
              • PUTCreate or Update Batch of Price Lists Records
              • GETList Price List Records
              • POSTCreate Price List Records
              • PUTUpsert Price List Records
              • DELDelete Price List Record
              • GETList Price Records by Variant
              • GETGet Price Record by Currency Code
              • PUTSet Price List Record by Currency Code
              • DELDelete Price Record by Currency Code
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementPrice ListsPrice Lists Records

List Price Records by Variant

GET
https://api.bigcommerce.com/stores/:store_hash/v3/pricelists/:price_list_id/records/:variant_id
GET
/stores/:store_hash/v3/pricelists/:price_list_id/records/:variant_id
$curl https://api.bigcommerce.com/stores/store_hash/v3/pricelists/1/records/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "calculated_price": 19.99,
5 "date_created": "2023-11-10T15:45:00Z",
6 "date_modified": "2024-04-20T12:30:00Z",
7 "product_id": 245,
8 "price_list_id": 1,
9 "variant_id": 101,
10 "sku": "TSHIRT-BLUE-M",
11 "currency": "usd",
12 "price": 24.99,
13 "sale_price": 19.99,
14 "retail_price": 29.99,
15 "map_price": 22.99,
16 "bulk_pricing_tiers": [
17 {
18 "quantity_min": 5,
19 "quantity_max": 10,
20 "type": "percent",
21 "amount": 10
22 },
23 {
24 "quantity_min": 11,
25 "quantity_max": 20,
26 "type": "fixed",
27 "amount": 17.99
28 }
29 ]
30 }
31 ],
32 "meta": {
33 "pagination": {
34 "total": 1,
35 "count": 1,
36 "per_page": 50,
37 "current_page": 1,
38 "total_pages": 1
39 },
40 "cursor_pagination": {
41 "count": 1,
42 "per_page": 1,
43 "start_cursor": "YXJyYXljb25uZWN0aW9uOjA=",
44 "end_cursor": "YXJyYXljb25uZWN0aW9uOjA=",
45 "links": {
46 "previous": "https://api.bigcommerce.com/stores/abc123/v3/pricelists/1/records/101?after=YXJyYXljb25uZWN0aW9uOjA=",
47 "current": "https://api.bigcommerce.com/stores/abc123/v3/pricelists/1/records/101",
48 "next": "https://api.bigcommerce.com/stores/abc123/v3/pricelists/1/records/101?before=YXJyYXljb25uZWN0aW9uOjA="
49 }
50 }
51 }
52}
Returns *Price List Records* using the variant ID. Will also contain currency records. **Notes** * Supports up to 40 simultaneous GET requests. Running more than the allowed number of requests concurrently on the same store will result in a `429` status error, and your additional requests will fail. * Store Pricelist Records data to reduce the number of calls and maximize performance.
Was this page helpful?
Previous

Delete Price List Record

Next

Get Price Record by Currency Code

Built with

Returns Price List Records using the variant ID. Will also contain currency records.

Notes

  • Supports up to 40 simultaneous GET requests. Running more than the allowed number of requests concurrently on the same store will result in a 429 status error, and your additional requests will fail.
  • Store Pricelist Records data to reduce the number of calls and maximize performance.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

price_list_idintegerRequired

The ID of the Price List requested.

variant_idintegerRequired
ID of the variant on a product, or on an associated Price List Record.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

includelist of enumsOptional

Sub-resources to include on a price record, in a comma-separated list. Valid expansions currently include bulk_pricing_tiers and sku. Other values will be ignored.

Allowed values:
pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products. If you provide only a limit, the API returns both paginations while applying that limit.

beforestringOptional
A cursor that can be used for backwards pagination. Will fetch results before the position corresponding to the cursor. Cannot be used with the 'page' query parameter. Cannot be used with the 'after' query parameter.
afterstringOptional
A cursor that can be used for forwards pagination. Will fetch results after the position corresponding to the cursor. Cannot be used with the 'page' query parameter. Cannot be used with the 'before' query parameter.

Response

datalist of objects
metaobject

‘Contains data about paginating the response via cursors. If no pagination details are specified or if you only provide a limit, then both properties will be present. When a ‘before’ or ‘after’ cursor is provided, only the ‘cursor_pagination’ property will be present. When a ‘page’ parameter is provided, only the offset based ‘pagination’ property will be present.’

Errors

429
Too Many Requests Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.